> ## Documentation Index
> Fetch the complete documentation index at: https://docs.topograph.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a workspace



## OpenAPI

````yaml patch /v2/workspaces/{name}
openapi: 3.0.0
info:
  title: Topograph
  description: The Topograph API
  version: '0.1'
  contact: {}
servers:
  - url: https://api.topograph.co
security:
  - x-api-key: []
tags: []
paths:
  /v2/workspaces/{name}:
    patch:
      tags:
        - Workspaces
      summary: Update a workspace
      operationId: WorkspaceController_updateWorkspace_v2
      parameters:
        - name: name
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateWorkspaceDto'
      responses:
        '200':
          description: ''
      security:
        - x-api-key: []
components:
  schemas:
    UpdateWorkspaceDto:
      type: object
      properties:
        legalName:
          type: string
          description: New display-friendly legal name.
          example: Acme Paris SAS
          maxLength: 255
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key

````